> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contacts

> Get a list of contacts for a group.



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/contacts
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/contacts:
    get:
      tags:
        - Group Configuration
      summary: Get a list of all Group Contacts
      description: Returns a list of all group contacts for a given group.
      operationId: getContactList
      parameters:
        - description: >-
            The unique identifier of the group for which you would like to view
            contacts
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - created: 1557512389
                    email: davidsmith@testcorp.com
                    first_name: David
                    group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                    id: c2f5489d-36d1-4fb0-bf9f-105ad5dd0b3e
                    last_name: Smith
                    modified: 1543215342
                    phone_number: '+14255551234'
                    primary_contact: true
                    title: Chief People Officer
                    types:
                      - company
                      - billing
                    version: 6ba43c6e-69f2-435f-a126-8595a798eb52
                  - created: 1557512389
                    email: carolinejohnson@testcorp.com
                    first_name: Caroline
                    group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                    id: 7e3c1f14-e7e7-42b8-81d8-3fcd7bd7d418
                    last_name: Johnson
                    modified: 1543215342
                    phone_number: '+14255551234'
                    primary_contact: false
                    title: VP of Human Resources
                    types:
                      - executive
                    version: 88bfbe28-7f8b-4497-a50b-932ee3387b68
              schema:
                $ref: '#/components/schemas/PaginatedContactResult'
          description: Successful Response - Returns all matching Group Contacts
components:
  schemas:
    PaginatedContactResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of contact results
          items:
            $ref: '#/components/schemas/ContactResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    ContactResult:
      properties:
        carrier_id:
          description: Unique identifier of a Carrier in Noyo's system
          format: uuid
          readOnly: true
          type: string
        created:
          description: The date the record was originated
          readOnly: true
          type: integer
        email:
          description: Work email address of the group contact
          example: catherine.briggs@example.com
          readOnly: true
          type: string
        first_name:
          description: First name of the group contact
          example: Catherine
          readOnly: true
          type: string
        group_id:
          description: Unique identifier of the group in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group contact in Noyo
          format: uuid
          readOnly: true
          type: string
        last_name:
          description: Last name of the group contact
          example: Briggs
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          readOnly: true
          type: integer
        phone_number:
          description: Work phone number of the group contact in E.164 format
          example: '+15555551212'
          readOnly: true
          type: string
        primary_contact:
          description: True if contact is the primary contact for the group
          readOnly: true
          type: boolean
        title:
          description: Job title of the group contact
          example: Engineer
          readOnly: true
          type: string
        types:
          description: List of contact types for the group contact
          items:
            enum:
              - company
              - billing
              - executive
              - online
              - carrier
            type: string
          minItems: 1
          type: array
        version:
          description: Version of the group contact record
          format: uuid
          readOnly: true
          type: string
      required:
        - created
        - group_id
        - id
        - modified
        - types
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - group_id
        - first_name
        - last_name
        - title
        - email
        - phone_number
        - types
        - primary_contact
        - carrier_id

````